# -*- encoding: utf-8 -*-
# stub: mogilefs-client 3.9.0 ruby lib

Gem::Specification.new do |s|
  s.name = "mogilefs-client".freeze
  s.version = "3.9.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["mogilefs-client hackers".freeze]
  s.date = "2015-06-25"
  s.description = "A MogileFS client library for Ruby.  MogileFS is an open source\ndistributed filesystem, see: http://mogilefs.org for more details.  This\nlibrary allows any Ruby application to read, write and delete files in a\nMogileFS instance.".freeze
  s.email = "e@80x24.org".freeze
  s.executables = ["mog".freeze]
  s.files = [".document".freeze, ".gitignore".freeze, ".manifest".freeze, ".olddoc.yml".freeze, "GIT-VERSION-FILE".freeze, "GIT-VERSION-GEN".freeze, "GNUmakefile".freeze, "HACKING".freeze, "History".freeze, "LATEST".freeze, "LICENSE".freeze, "NEWS".freeze, "README".freeze, "TODO".freeze, "bin/mog".freeze, "examples/mog-sync.rb".freeze, "examples/stale_fid_checker.rb".freeze, "examples/usage_fetcher.rb".freeze, "lib/mogilefs.rb".freeze, "lib/mogilefs/admin.rb".freeze, "lib/mogilefs/backend.rb".freeze, "lib/mogilefs/bigfile.rb".freeze, "lib/mogilefs/bigfile/filter.rb".freeze, "lib/mogilefs/chunker.rb".freeze, "lib/mogilefs/client.rb".freeze, "lib/mogilefs/copy_stream.rb".freeze, "lib/mogilefs/http_file.rb".freeze, "lib/mogilefs/http_reader.rb".freeze, "lib/mogilefs/mogilefs.rb".freeze, "lib/mogilefs/mysql.rb".freeze, "lib/mogilefs/new_file.rb".freeze, "lib/mogilefs/new_file/common.rb".freeze, "lib/mogilefs/new_file/content_range.rb".freeze, "lib/mogilefs/new_file/stream.rb".freeze, "lib/mogilefs/new_file/tempfile.rb".freeze, "lib/mogilefs/new_file/writer.rb".freeze, "lib/mogilefs/nhp_fake.rb".freeze, "lib/mogilefs/paths_size.rb".freeze, "lib/mogilefs/pool.rb".freeze, "lib/mogilefs/socket.rb".freeze, "lib/mogilefs/socket/kgio.rb".freeze, "lib/mogilefs/socket/pure_ruby.rb".freeze, "lib/mogilefs/socket_common.rb".freeze, "lib/mogilefs/util.rb".freeze, "lib/mogilefs/version.rb".freeze, "mogilefs-client.gemspec".freeze, "pkg.mk".freeze, "setup.rb".freeze, "test/.gitignore".freeze, "test/aggregate.rb".freeze, "test/exec.rb".freeze, "test/fresh.rb".freeze, "test/setup.rb".freeze, "test/socket_test.rb".freeze, "test/test_admin.rb".freeze, "test/test_backend.rb".freeze, "test/test_bigfile.rb".freeze, "test/test_client.rb".freeze, "test/test_db_backend.rb".freeze, "test/test_fresh.rb".freeze, "test/test_http_reader.rb".freeze, "test/test_mogilefs.rb".freeze, "test/test_mogilefs_integration.rb".freeze, "test/test_mogilefs_integration_large_pipe.rb".freeze, "test/test_mogilefs_integration_list_keys.rb".freeze, "test/test_mogilefs_socket_kgio.rb".freeze, "test/test_mogilefs_socket_pure.rb".freeze, "test/test_mogstored_rack.rb".freeze, "test/test_mogtool_bigfile.rb".freeze, "test/test_mysql.rb".freeze, "test/test_pool.rb".freeze]
  s.homepage = "http://bogomips.org/mogilefs-client".freeze
  s.licenses = ["BSD-3-Clause".freeze]
  s.rubygems_version = "2.6.4".freeze
  s.summary = "client - MogileFS client library for Ruby".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<olddoc>.freeze, ["~> 1.0"])
    else
      s.add_dependency(%q<olddoc>.freeze, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<olddoc>.freeze, ["~> 1.0"])
  end
end

